Subject: [bug#49235] [PATCH] gnu: Add oneko.

From: Leo Prikler <[email-masked]>
Date: Sun, 27 Jun 2021 21:50:39 +0200

Am Sonntag, den 27.06.2021, 21:45 +0200 schrieb Timotej Lazar:
> Leo Prikler <[email-masked]> [2021-06-27
> 21:24:00+0200]:
> > I think the Debian patch says it best in that there might be
> > copyright
> > issues.
> 
> OK, I’ll copy / adjust that one then. :)
> 
> > To be fair, I only looked at the snippet, not what it produced, so
> > it
> > might actually be that it already did the correct thing.  Are there
> > directory, which are matched by .*\\.xbm?
> 
> The snippet only deletes the *xbm files. There is also (for instance)
> bsd.include that #includes the relevant bitmaps and is in turn
> #included
> by the main source file. The latter #include statements are removed
> by
> the patch.
That is indeed a good way of splitting this up, but the mentioned files
would still need to be deleted (see below).

> I didn’t delete bsd.include (and others) in the snippet since they
> don’t
> have copyright issues and it would make the snippet a bit messier. A
> COPYRIGHT file for the BSD daemon also remains. If that is
> problematic,
> I can adjust the snippet to also delete these files. In any case,
> none
> of them gets copied to the output.
It's not just about the output, we're trying to keep `guix build -S`
clean as well.  I'm not sure about the copyright issues of these source
files -- in any case they only serve to enable the legally questionable
portions of the program, so in my opinion it's better to drop them.